1. Equipment
Einpix API documentation
  • Changelog
  • About
  • API
    • Task
      • Create
      • List
      • Detail
      • Change status
    • Checklist
      • By task
    • Client
      • Create
      • Update
      • List
      • Detail
    • User
      • List
      • Detail
    • Venue
      • Create
      • List
      • Detail
    • Category
      • Task
        • List
        • Detail
      • Equipment
        • List
    • Tag
      • List
      • Detail
    • Template
      • Checklist
        • List
        • Detail
    • Equipment
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
      • Change picture
        PUT
      • Remove picture
        DELETE
      • Add attachments
        POST
      • Remove attachments
        POST
      • List
        GET
      • List by category
        GET
      • Detail
        GET
    • Comment
      • Create
      • Detail
      • List
    • Worklog
      • List
      • Hisory
    • Materials
      • By task
    • Service
      • By task
    • Webhook
      • List
      • Create
      • Delete
      • Update
  • Schemas
    • User
    • Venue
    • Task
    • Task comment
    • Tag
    • Task category
    • Picture
    • Check item
    • Equipment category
    • Equipment
    • Client
    • Task severity
    • Attachment
    • Changed log
    • User group
    • WDJ material
    • Unit master
    • WDJ service
    • Worklog History
    • CountryEnum
    • Checklist template
    • Worklog
    • Activity task
    • Downtime task
    • Sla rule
    • Webhook action
    • Webhook
    • WebhookEnumm
  1. Equipment

List by category

Developing
GET
equipments/category/{category_id}/{page}
Fetch equipments by specific category within organization.

Request

Path Params

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://api.einpix.com/public/v1/equipments/category//?since={{SINCE_ISO}}&before={{BEFORE_ISO}}' \
--header 'x-api-key;'

Responses

🟢200Success
application/json
Body

Example
[
    {
        "id": "string",
        "title": "string",
        "venue": {
            "id": 0,
            "name": "string"
        },
        "picture": {
            "id": "string",
            "original_filename": "string",
            "width": 0,
            "height": 0,
            "mime_type": "string",
            "author": {
                "id": 0,
                "name": "string",
                "email": "string"
            },
            "file_size": 0,
            "url": "string"
        },
        "assignee": {
            "id": 0,
            "name": "string",
            "email": "string"
        },
        "category": {
            "id": "string",
            "name": "string"
        },
        "client": {
            "id": "string",
            "name": "string",
            "apply_to_signature_field": true
        },
        "brand_name": "string",
        "model_name": "string",
        "sku": "string",
        "serial_number": "string",
        "purchase_date": "string",
        "guarantee_warranty_date": "string",
        "install_date": "string",
        "cost": "string",
        "price": "string",
        "service_cost": "string",
        "notes": "string",
        "search_keywords": "string",
        "is_active": true,
        "attachments": [
            {
                "id": "string",
                "original_filename": "string",
                "width": 0,
                "height": 0,
                "mime_type": "string",
                "author": {
                    "id": 0,
                    "name": "string",
                    "email": "string"
                },
                "file_size": 0,
                "url": "string"
            }
        ],
        "is_visible_to_client": false,
        "is_visible_to_supplier": false
    }
]
Modified at 2026-03-12 12:01:56
Previous
List
Next
Detail
Built with